ch.qos.logback.core.db

## Class DriverManagerConnectionSource

- java.lang.Object
- - ch.qos.logback.core.spi.ContextAwareBase
  - - ch.qos.logback.core.db.ConnectionSourceBase
    - - ch.qos.logback.core.db.DriverManagerConnectionSource

All Implemented Interfaces:
  ConnectionSource, ContextAware, LifeCycle

    public class DriverManagerConnectionSource
    extends ConnectionSourceBase

The DriverManagerConnectionSource is an implementation of `ConnectionSource` that obtains the Connection in the traditional JDBC manner based on the connection URL.

For more information about this component, please refer to the online manual at http://logback.qos.ch/manual/appenders.html#DBAppender

Author:
  Ray DeCampo

### Field Summary

### Fields inherited from class ch.qos.logback.core.spi.ContextAwareBase

`context`

### Constructor Summary

Constructors
Constructor and Description
`DriverManagerConnectionSource()`

### Method Summary

Methods
`java.sql.Connection` `getConnection()` Obtain a `Connection` for use.
`java.lang.String` `getDriverClass()` Returns the name of the driver class.
`java.lang.String` `getUrl()` Returns the url.
`void` `setDriverClass(java.lang.String driverClass)` Sets the driver class.
`void` `setUrl(java.lang.String url)` Sets the url.
`void` `start()`

### Methods inherited from class ch.qos.logback.core.db.ConnectionSourceBase

`discoverConnectionProperties, getPassword, getSQLDialectCode, getUser, isStarted, setPassword, setUser, stop, supportsBatchUpdates, supportsGetGeneratedKeys`

### Methods inherited from class ch.qos.logback.core.spi.ContextAwareBase

`addError, addError, addInfo, addInfo, addStatus, addWarn, addWarn, getContext, getDeclaredOrigin, getStatusManager, setContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DriverManagerConnectionSource

    public DriverManagerConnectionSource()

### Method Detail

#### start

    public void start()

Specified by:
  `start` in interface `LifeCycle`
Overrides:
  `start` in class `ConnectionSourceBase`

#### getConnection

    public java.sql.Connection getConnection()
                                      throws java.sql.SQLException

Description copied from interface: `ConnectionSource`
Obtain a `Connection` for use. The client is responsible for closing the `Connection` when it is no longer required.

Throws:
  `java.sql.SQLException` - if a `Connection` could not be obtained
See Also:
  `ConnectionSource.getConnection()`

#### getUrl

    public java.lang.String getUrl()

Returns the url.

Returns:
  String

#### setUrl

    public void setUrl(java.lang.String url)

Sets the url.

Parameters:
  `url` - The url to set

#### getDriverClass

    public java.lang.String getDriverClass()

Returns the name of the driver class.

Returns:
  String

#### setDriverClass

    public void setDriverClass(java.lang.String driverClass)

Sets the driver class.

Parameters:
  `driverClass` - The driver class to set